function init() {
	tinyMCEPopup.resizeToInnerSize();
}

var charmap = new Array();

// for mor details please see w3c.org
// now here is the complete list ;)

charmap = [
	['&nbsp;',    '&#160;',  true, 'no-break space'],
	['#160;', 	'&#1024;', true	'CYRILLIC CAPITAL LETTER IE WITH GRAVE'],
	
/*Ё	1025	Ё	0401	CYRILLIC CAPITAL LETTER IO (present in WGL4)
Ђ	1026	Ђ	0402	CYRILLIC CAPITAL LETTER DJE (present in WGL4)
Ѓ	1027	Ѓ	0403	CYRILLIC CAPITAL LETTER GJE (present in WGL4)
Є	1028	Є	0404	CYRILLIC CAPITAL LETTER UKRAINIAN IE (present in WGL4)
Ѕ	1029	Ѕ	0405	CYRILLIC CAPITAL LETTER DZE (present in WGL4)
І	1030	І	0406	CYRILLIC CAPITAL LETTER BYELORUSSIAN-UKRAINIAN I (present in WGL4)
Ї	1031	Ї	0407	CYRILLIC CAPITAL LETTER YI (present in WGL4)
Ј	1032	Ј	0408	CYRILLIC CAPITAL LETTER JE (present in WGL4)
Љ	1033	Љ	0409	CYRILLIC CAPITAL LETTER LJE (present in WGL4)
Њ	1034	Њ	040A	CYRILLIC CAPITAL LETTER NJE (present in WGL4)
Ћ	1035	Ћ	040B	CYRILLIC CAPITAL LETTER TSHE (present in WGL4)
Ќ	1036	Ќ	040C	CYRILLIC CAPITAL LETTER KJE (present in WGL4)
Ѝ	1037	Ѝ	040D	CYRILLIC CAPITAL LETTER I WITH GRAVE (present in WGL4)
Ў	1038	Ў	040E	CYRILLIC CAPITAL LETTER SHORT U (present in WGL4)
Џ	1039	Џ	040F	CYRILLIC CAPITAL LETTER DZHE (present in WGL4)
А	1040	А	0410	CYRILLIC CAPITAL LETTER A (present in WGL4)
Б	1041	Б	0411	CYRILLIC CAPITAL LETTER BE (present in WGL4)
В	1042	В	0412	CYRILLIC CAPITAL LETTER VE (present in WGL4)
Г	1043	Г	0413	CYRILLIC CAPITAL LETTER GHE (present in WGL4)
Д	1044	Д	0414	CYRILLIC CAPITAL LETTER DE (present in WGL4)
Е	1045	Е	0415	CYRILLIC CAPITAL LETTER IE (present in WGL4)
Ж	1046	Ж	0416	CYRILLIC CAPITAL LETTER ZHE (present in WGL4)
З	1047	З	0417	CYRILLIC CAPITAL LETTER ZE (present in WGL4)
И	1048	И	0418	CYRILLIC CAPITAL LETTER I (present in WGL4)
Й	1049	Й	0419	CYRILLIC CAPITAL LETTER SHORT I (present in WGL4)
К	1050	К	041A	CYRILLIC CAPITAL LETTER KA (present in WGL4)
Л	1051	Л	041B	CYRILLIC CAPITAL LETTER EL (present in WGL4)
М	1052	М	041C	CYRILLIC CAPITAL LETTER EM (present in WGL4)
Н	1053	Н	041D	CYRILLIC CAPITAL LETTER EN (present in WGL4)
О	1054	О	041E	CYRILLIC CAPITAL LETTER O (present in WGL4)
П	1055	П	041F	CYRILLIC CAPITAL LETTER PE (present in WGL4)
Р	1056	Р	0420	CYRILLIC CAPITAL LETTER ER (present in WGL4)
С	1057	С	0421	CYRILLIC CAPITAL LETTER ES (present in WGL4)
Т	1058	Т	0422	CYRILLIC CAPITAL LETTER TE (present in WGL4)
У	1059	У	0423	CYRILLIC CAPITAL LETTER U (present in WGL4)
Ф	1060	Ф	0424	CYRILLIC CAPITAL LETTER EF (present in WGL4)
Х	1061	Х	0425	CYRILLIC CAPITAL LETTER HA (present in WGL4)
Ц	1062	Ц	0426	CYRILLIC CAPITAL LETTER TSE (present in WGL4)
Ч	1063	Ч	0427	CYRILLIC CAPITAL LETTER CHE (present in WGL4)
Ш	1064	Ш	0428	CYRILLIC CAPITAL LETTER SHA (present in WGL4)
Щ	1065	Щ	0429	CYRILLIC CAPITAL LETTER SHCHA (present in WGL4)
Ъ	1066	Ъ	042A	CYRILLIC CAPITAL LETTER HARD SIGN (present in WGL4)
Ы	1067	Ы	042B	CYRILLIC CAPITAL LETTER YERU (present in WGL4)
Ь	1068	Ь	042C	CYRILLIC CAPITAL LETTER SOFT SIGN (present in WGL4)
Э	1069	Э	042D	CYRILLIC CAPITAL LETTER E (present in WGL4)
Ю	1070	Ю	042E	CYRILLIC CAPITAL LETTER YU (present in WGL4)
Я	1071	Я	042F	CYRILLIC CAPITAL LETTER YA (present in WGL4)
а	1072	а	0430	CYRILLIC SMALL LETTER A (present in WGL4)
б	1073	б	0431	CYRILLIC SMALL LETTER BE (present in WGL4)
в	1074	в	0432	CYRILLIC SMALL LETTER VE (present in WGL4)
г	1075	г	0433	CYRILLIC SMALL LETTER GHE (present in WGL4)
д	1076	д	0434	CYRILLIC SMALL LETTER DE (present in WGL4)
е	1077	е	0435	CYRILLIC SMALL LETTER IE (present in WGL4)
ж	1078	ж	0436	CYRILLIC SMALL LETTER ZHE (present in WGL4)
з	1079	з	0437	CYRILLIC SMALL LETTER ZE (present in WGL4)
и	1080	и	0438	CYRILLIC SMALL LETTER I (present in WGL4)
й	1081	й	0439	CYRILLIC SMALL LETTER SHORT I (present in WGL4)
к	1082	к	043A	CYRILLIC SMALL LETTER KA (present in WGL4)
л	1083	л	043B	CYRILLIC SMALL LETTER EL (present in WGL4)
м	1084	м	043C	CYRILLIC SMALL LETTER EM (present in WGL4)
н	1085	н	043D	CYRILLIC SMALL LETTER EN (present in WGL4)
о	1086	о	043E	CYRILLIC SMALL LETTER O (present in WGL4)
п	1087	п	043F	CYRILLIC SMALL LETTER PE (present in WGL4)
р	1088	р	0440	CYRILLIC SMALL LETTER ER (present in WGL4)
с	1089	с	0441	CYRILLIC SMALL LETTER ES (present in WGL4)
т	1090	т	0442	CYRILLIC SMALL LETTER TE (present in WGL4)
у	1091	у	0443	CYRILLIC SMALL LETTER U (present in WGL4)
ф	1092	ф	0444	CYRILLIC SMALL LETTER EF (present in WGL4)
х	1093	х	0445	CYRILLIC SMALL LETTER HA (present in WGL4)
ц	1094	ц	0446	CYRILLIC SMALL LETTER TSE (present in WGL4)
ч	1095	ч	0447	CYRILLIC SMALL LETTER CHE (present in WGL4)
ш	1096	ш	0448	CYRILLIC SMALL LETTER SHA (present in WGL4)
щ	1097	щ	0449	CYRILLIC SMALL LETTER SHCHA (present in WGL4)
ъ	1098	ъ	044A	CYRILLIC SMALL LETTER HARD SIGN (present in WGL4)
ы	1099	ы	044B	CYRILLIC SMALL LETTER YERU (present in WGL4)
ь	1100	ь	044C	CYRILLIC SMALL LETTER SOFT SIGN (present in WGL4)
э	1101	э	044D	CYRILLIC SMALL LETTER E (present in WGL4)
ю	1102	ю	044E	CYRILLIC SMALL LETTER YU (present in WGL4)
я	1103	я	044F	CYRILLIC SMALL LETTER YA (present in WGL4)
ѐ	1104	ѐ	0450	CYRILLIC SMALL LETTER IE WITH GRAVE (present in WGL4)
ё	1105	ё	0451	CYRILLIC SMALL LETTER IO (present in WGL4)
ђ	1106	ђ	0452	CYRILLIC SMALL LETTER DJE (present in WGL4)
ѓ	1107	ѓ	0453	CYRILLIC SMALL LETTER GJE (present in WGL4)
є	1108	є	0454	CYRILLIC SMALL LETTER UKRAINIAN IE (present in WGL4)
ѕ	1109	ѕ	0455	CYRILLIC SMALL LETTER DZE (present in WGL4)
і	1110	і	0456	CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I (present in WGL4)
ї	1111	ї	0457	CYRILLIC SMALL LETTER YI (present in WGL4)
ј	1112	ј	0458	CYRILLIC SMALL LETTER JE (present in WGL4)
љ	1113	љ	0459	CYRILLIC SMALL LETTER LJE (present in WGL4)
њ	1114	њ	045A	CYRILLIC SMALL LETTER NJE (present in WGL4)
ћ	1115	ћ	045B	CYRILLIC SMALL LETTER TSHE (present in WGL4)
ќ	1116	ќ	045C	CYRILLIC SMALL LETTER KJE (present in WGL4)
ѝ	1117	ѝ	045D	CYRILLIC SMALL LETTER I WITH GRAVE (present in WGL4)
ў	1118	ў	045E	CYRILLIC SMALL LETTER SHORT U (present in WGL4)
џ	1119	џ	045F	CYRILLIC SMALL LETTER DZHE
Ѡ	1120	Ѡ	0460	CYRILLIC CAPITAL LETTER OMEGA
ѡ	1121	ѡ	0461	CYRILLIC SMALL LETTER OMEGA
Ѣ	1122	Ѣ	0462	CYRILLIC CAPITAL LETTER YAT
ѣ	1123	ѣ	0463	CYRILLIC SMALL LETTER YAT
Ѥ	1124	Ѥ	0464	CYRILLIC CAPITAL LETTER IOTIFIED E
ѥ	1125	ѥ	0465	CYRILLIC SMALL LETTER IOTIFIED E
Ѧ	1126	Ѧ	0466	CYRILLIC CAPITAL LETTER LITTLE YUS
ѧ	1127	ѧ	0467	CYRILLIC SMALL LETTER LITTLE YUS
Ѩ	1128	Ѩ	0468	CYRILLIC CAPITAL LETTER IOTIFIED LITTLE YUS
ѩ	1129	ѩ	0469	CYRILLIC SMALL LETTER IOTIFIED LITTLE YUS
Ѫ	1130	Ѫ	046A	CYRILLIC CAPITAL LETTER BIG YUS
ѫ	1131	ѫ	046B	CYRILLIC SMALL LETTER BIG YUS
Ѭ	1132	Ѭ	046C	CYRILLIC CAPITAL LETTER IOTIFIED BIG YUS
ѭ	1133	ѭ	046D	CYRILLIC SMALL LETTER IOTIFIED BIG YUS
Ѯ	1134	Ѯ	046E	CYRILLIC CAPITAL LETTER KSI
ѯ	1135	ѯ	046F	CYRILLIC SMALL LETTER KSI
Ѱ	1136	Ѱ	0470	CYRILLIC CAPITAL LETTER PSI
ѱ	1137	ѱ	0471	CYRILLIC SMALL LETTER PSI
Ѳ	1138	Ѳ	0472	CYRILLIC CAPITAL LETTER FITA
ѳ	1139	ѳ	0473	CYRILLIC SMALL LETTER FITA
Ѵ	1140	Ѵ	0474	CYRILLIC CAPITAL LETTER IZHITSA
ѵ	1141	ѵ	0475	CYRILLIC SMALL LETTER IZHITSA
Ѷ	1142	Ѷ	0476	CYRILLIC CAPITAL LETTER IZHITSA WITH DOUBLE GRAVE ACCENT
ѷ	1143	ѷ	0477	CYRILLIC SMALL LETTER IZHITSA WITH DOUBLE GRAVE ACCENT
Ѹ	1144	Ѹ	0478	CYRILLIC CAPITAL LETTER UK
ѹ	1145	ѹ	0479	CYRILLIC SMALL LETTER UK
Ѻ	1146	Ѻ	047A	CYRILLIC CAPITAL LETTER ROUND OMEGA
ѻ	1147	ѻ	047B	CYRILLIC SMALL LETTER ROUND OMEGA
Ѽ	1148	Ѽ	047C	CYRILLIC CAPITAL LETTER OMEGA WITH TITLO
ѽ	1149	ѽ	047D	CYRILLIC SMALL LETTER OMEGA WITH TITLO
Ѿ	1150	Ѿ	047E	CYRILLIC CAPITAL LETTER OT
ѿ	1151	ѿ	047F	CYRILLIC SMALL LETTER OT
Ҁ	1152	Ҁ	0480	CYRILLIC CAPITAL LETTER KOPPA
ҁ	1153	ҁ	0481	CYRILLIC SMALL LETTER KOPPA
҂	1154	҂	0482	CYRILLIC THOUSANDS SIGN
о҃	1155	о҃	0483	COMBINING CYRILLIC TITLO
о҄	1156	о҄	0484	COMBINING CYRILLIC PALATALIZATION
о҅	1157	о҅	0485	COMBINING CYRILLIC DASIA PNEUMATA
о҆	1158	о҆	0486	COMBINING CYRILLIC PSILI PNEUMATA
о҈	1160	о҈	0488	COMBINING CYRILLIC HUNDRED THOUSANDS SIGN
о҉	1161	о҉	0489	COMBINING CYRILLIC MILLIONS SIGN
Ҋ	1162	Ҋ	048A	CYRILLIC CAPITAL LETTER SHORT I WITH TAIL
ҋ	1163	ҋ	048B	CYRILLIC SMALL LETTER SHORT I WITH TAIL
Ҍ	1164	Ҍ	048C	CYRILLIC CAPITAL LETTER SEMISOFT SIGN
ҍ	1165	ҍ	048D	CYRILLIC SMALL LETTER SEMISOFT SIGN
Ҏ	1166	Ҏ	048E	CYRILLIC CAPITAL LETTER ER WITH TICK
ҏ	1167	ҏ	048F	CYRILLIC SMALL LETTER ER WITH TICK
Ґ	1168	Ґ	0490	CYRILLIC CAPITAL LETTER GHE WITH UPTURN (present in WGL4)
ґ	1169	ґ	0491	CYRILLIC SMALL LETTER GHE WITH UPTURN (present in WGL4)
Ғ	1170	Ғ	0492	CYRILLIC CAPITAL LETTER GHE WITH STROKE
ғ	1171	ғ	0493	CYRILLIC SMALL LETTER GHE WITH STROKE
Ҕ	1172	Ҕ	0494	CYRILLIC CAPITAL LETTER GHE WITH MIDDLE HOOK
ҕ	1173	ҕ	0495	CYRILLIC SMALL LETTER GHE WITH MIDDLE HOOK
Җ	1174	Җ	0496	CYRILLIC CAPITAL LETTER ZHE WITH DESCENDER
җ	1175	җ	0497	CYRILLIC SMALL LETTER ZHE WITH DESCENDER
Ҙ	1176	Ҙ	0498	CYRILLIC CAPITAL LETTER ZE WITH DESCENDER
ҙ	1177	ҙ	0499	CYRILLIC SMALL LETTER ZE WITH DESCENDER
Қ	1178	Қ	049A	CYRILLIC CAPITAL LETTER KA WITH DESCENDER
қ	1179	қ	049B	CYRILLIC SMALL LETTER KA WITH DESCENDER
Ҝ	1180	Ҝ	049C	CYRILLIC CAPITAL LETTER KA WITH VERTICAL STROKE
ҝ	1181	ҝ	049D	CYRILLIC SMALL LETTER KA WITH VERTICAL STROKE
Ҟ	1182	Ҟ	049E	CYRILLIC CAPITAL LETTER KA WITH STROKE
ҟ	1183	ҟ	049F	CYRILLIC SMALL LETTER KA WITH STROKE
Ҡ	1184	Ҡ	04A0	CYRILLIC CAPITAL LETTER BASHKIR KA
ҡ	1185	ҡ	04A1	CYRILLIC SMALL LETTER BASHKIR KA
Ң	1186	Ң	04A2	CYRILLIC CAPITAL LETTER EN WITH DESCENDER
ң	1187	ң	04A3	CYRILLIC SMALL LETTER EN WITH DESCENDER
Ҥ	1188	Ҥ	04A4	CYRILLIC CAPITAL LIGATURE EN GHE
ҥ	1189	ҥ	04A5	CYRILLIC SMALL LIGATURE EN GHE
Ҧ	1190	Ҧ	04A6	CYRILLIC CAPITAL LETTER PE WITH MIDDLE HOOK
ҧ	1191	ҧ	04A7	CYRILLIC SMALL LETTER PE WITH MIDDLE HOOK
Ҩ	1192	Ҩ	04A8	CYRILLIC CAPITAL LETTER ABKHASIAN HA
ҩ	1193	ҩ	04A9	CYRILLIC SMALL LETTER ABKHASIAN HA
Ҫ	1194	Ҫ	04AA	CYRILLIC CAPITAL LETTER ES WITH DESCENDER
ҫ	1195	ҫ	04AB	CYRILLIC SMALL LETTER ES WITH DESCENDER
Ҭ	1196	Ҭ	04AC	CYRILLIC CAPITAL LETTER TE WITH DESCENDER
ҭ	1197	ҭ	04AD	CYRILLIC SMALL LETTER TE WITH DESCENDER
Ү	1198	Ү	04AE	CYRILLIC CAPITAL LETTER STRAIGHT U
ү	1199	ү	04AF	CYRILLIC SMALL LETTER STRAIGHT U
Ұ	1200	Ұ	04B0	CYRILLIC CAPITAL LETTER STRAIGHT U WITH STROKE
ұ	1201	ұ	04B1	CYRILLIC SMALL LETTER STRAIGHT U WITH STROKE
Ҳ	1202	Ҳ	04B2	CYRILLIC CAPITAL LETTER HA WITH DESCENDER
ҳ	1203	ҳ	04B3	CYRILLIC SMALL LETTER HA WITH DESCENDER
Ҵ	1204	Ҵ	04B4	CYRILLIC CAPITAL LIGATURE TE TSE
ҵ	1205	ҵ	04B5	CYRILLIC SMALL LIGATURE TE TSE
Ҷ	1206	Ҷ	04B6	CYRILLIC CAPITAL LETTER CHE WITH DESCENDER
ҷ	1207	ҷ	04B7	CYRILLIC SMALL LETTER CHE WITH DESCENDER
Ҹ	1208	Ҹ	04B8	CYRILLIC CAPITAL LETTER CHE WITH VERTICAL STROKE
ҹ	1209	ҹ	04B9	CYRILLIC SMALL LETTER CHE WITH VERTICAL STROKE
Һ	1210	Һ	04BA	CYRILLIC CAPITAL LETTER SHHA
һ	1211	һ	04BB	CYRILLIC SMALL LETTER SHHA
Ҽ	1212	Ҽ	04BC	CYRILLIC CAPITAL LETTER ABKHASIAN CHE
ҽ	1213	ҽ	04BD	CYRILLIC SMALL LETTER ABKHASIAN CHE
Ҿ	1214	Ҿ	04BE	CYRILLIC CAPITAL LETTER ABKHASIAN CHE WITH DESCENDER
ҿ	1215	ҿ	04BF	CYRILLIC SMALL LETTER ABKHASIAN CHE WITH DESCENDER
Ӏ	1216	Ӏ	04C0	CYRILLIC LETTER PALOCHKA
Ӂ	1217	Ӂ	04C1	CYRILLIC CAPITAL LETTER ZHE WITH BREVE
ӂ	1218	ӂ	04C2	CYRILLIC SMALL LETTER ZHE WITH BREVE
Ӄ	1219	Ӄ	04C3	CYRILLIC CAPITAL LETTER KA WITH HOOK
ӄ	1220	ӄ	04C4	CYRILLIC SMALL LETTER KA WITH HOOK
Ӆ	1221	Ӆ	04C5	CYRILLIC CAPITAL LETTER EL WITH TAIL
ӆ	1222	ӆ	04C6	CYRILLIC SMALL LETTER EL WITH TAIL
Ӈ	1223	Ӈ	04C7	CYRILLIC CAPITAL LETTER EN WITH HOOK
ӈ	1224	ӈ	04C8	CYRILLIC SMALL LETTER EN WITH HOOK
Ӊ	1225	Ӊ	04C9	CYRILLIC CAPITAL LETTER EN WITH TAIL
ӊ	1226	ӊ	04CA	CYRILLIC SMALL LETTER EN WITH TAIL
Ӌ	1227	Ӌ	04CB	CYRILLIC CAPITAL LETTER KHAKASSIAN CHE
ӌ	1228	ӌ	04CC	CYRILLIC SMALL LETTER KHAKASSIAN CHE
Ӎ	1229	Ӎ	04CD	CYRILLIC CAPITAL LETTER EM WITH TAIL
ӎ	1230	ӎ	04CE	CYRILLIC SMALL LETTER EM WITH TAIL
ӏ	1231	ӏ	04CF	CYRILLIC SMALL LETTER PALOCHKA
Ӑ	1232	Ӑ	04D0	CYRILLIC CAPITAL LETTER A WITH BREVE
ӑ	1233	ӑ	04D1	CYRILLIC SMALL LETTER A WITH BREVE
Ӓ	1234	Ӓ	04D2	CYRILLIC CAPITAL LETTER A WITH DIAERESIS
ӓ	1235	ӓ	04D3	CYRILLIC SMALL LETTER A WITH DIAERESIS
Ӕ	1236	Ӕ	04D4	CYRILLIC CAPITAL LIGATURE A IE
ӕ	1237	ӕ	04D5	CYRILLIC SMALL LIGATURE A IE
Ӗ	1238	Ӗ	04D6	CYRILLIC CAPITAL LETTER IE WITH BREVE
ӗ	1239	ӗ	04D7	CYRILLIC SMALL LETTER IE WITH BREVE
Ә	1240	Ә	04D8	CYRILLIC CAPITAL LETTER SCHWA
ә	1241	ә	04D9	CYRILLIC SMALL LETTER SCHWA
Ӛ	1242	Ӛ	04DA	CYRILLIC CAPITAL LETTER SCHWA WITH DIAERESIS
ӛ	1243	ӛ	04DB	CYRILLIC SMALL LETTER SCHWA WITH DIAERESIS
Ӝ	1244	Ӝ	04DC	CYRILLIC CAPITAL LETTER ZHE WITH DIAERESIS
ӝ	1245	ӝ	04DD	CYRILLIC SMALL LETTER ZHE WITH DIAERESIS
Ӟ	1246	Ӟ	04DE	CYRILLIC CAPITAL LETTER ZE WITH DIAERESIS
ӟ	1247	ӟ	04DF	CYRILLIC SMALL LETTER ZE WITH DIAERESIS
Ӡ	1248	Ӡ	04E0	CYRILLIC CAPITAL LETTER ABKHASIAN DZE
ӡ	1249	ӡ	04E1	CYRILLIC SMALL LETTER ABKHASIAN DZE
Ӣ	1250	Ӣ	04E2	CYRILLIC CAPITAL LETTER I WITH MACRON
ӣ	1251	ӣ	04E3	CYRILLIC SMALL LETTER I WITH MACRON
Ӥ	1252	Ӥ	04E4	CYRILLIC CAPITAL LETTER I WITH DIAERESIS
ӥ	1253	ӥ	04E5	CYRILLIC SMALL LETTER I WITH DIAERESIS
Ӧ	1254	Ӧ	04E6	CYRILLIC CAPITAL LETTER O WITH DIAERESIS
ӧ	1255	ӧ	04E7	CYRILLIC SMALL LETTER O WITH DIAERESIS
Ө	1256	Ө	04E8	CYRILLIC CAPITAL LETTER BARRED O
ө	1257	ө	04E9	CYRILLIC SMALL LETTER BARRED O
Ӫ	1258	Ӫ	04EA	CYRILLIC CAPITAL LETTER BARRED O WITH DIAERESIS
ӫ	1259	ӫ	04EB	CYRILLIC SMALL LETTER BARRED O WITH DIAERESIS
Ӭ	1260	Ӭ	04EC	CYRILLIC CAPITAL LETTER E WITH DIAERESIS
ӭ	1261	ӭ	04ED	CYRILLIC SMALL LETTER E WITH DIAERESIS
Ӯ	1262	Ӯ	04EE	CYRILLIC CAPITAL LETTER U WITH MACRON
ӯ	1263	ӯ	04EF	CYRILLIC SMALL LETTER U WITH MACRON
Ӱ	1264	Ӱ	04F0	CYRILLIC CAPITAL LETTER U WITH DIAERESIS
ӱ	1265	ӱ	04F1	CYRILLIC SMALL LETTER U WITH DIAERESIS
Ӳ	1266	Ӳ	04F2	CYRILLIC CAPITAL LETTER U WITH DOUBLE ACUTE
ӳ	1267	ӳ	04F3	CYRILLIC SMALL LETTER U WITH DOUBLE ACUTE
Ӵ	1268	Ӵ	04F4	CYRILLIC CAPITAL LETTER CHE WITH DIAERESIS
ӵ	1269	ӵ	04F5	CYRILLIC SMALL LETTER CHE WITH DIAERESIS
Ӷ	1270	Ӷ	04F6	CYRILLIC CAPITAL LETTER GHE WITH DESCENDER
ӷ	1271	ӷ	04F7	CYRILLIC SMALL LETTER GHE WITH DESCENDER
Ӹ	1272	Ӹ	04F8	CYRILLIC CAPITAL LETTER YERU WITH DIAERESIS
ӹ	1273	ӹ	04F9	CYRILLIC SMALL LETTER YERU WITH DIAERESIS
Ӻ	1274	Ӻ	04FA	CYRILLIC CAPITAL LETTER GHE WITH STROKE AND HOOK
ӻ	1275	ӻ	04FB	CYRILLIC SMALL LETTER GHE WITH STROKE AND HOOK
Ӽ	1276	Ӽ	04FC	CYRILLIC CAPITAL LETTER HA WITH HOOK
ӽ	1277	ӽ	04FD	CYRILLIC SMALL LETTER HA WITH HOOK
Ӿ	1278	Ӿ	04FE	CYRILLIC CAPITAL LETTER HA WITH STROKE
ӿ	1279	ӿ	04FF	CYRILLIC SMALL LETTER HA WITH STROKE
];*/

function renderCharMapHTML() {
	var charsPerRow = 20, tdWidth=20, tdHeight=20;
	var html = '<table border="0" cellspacing="1" cellpadding="0" width="' + (tdWidth*charsPerRow) + '"><tr height="' + tdHeight + '">';
	var cols=-1;
	for (var i=0; i<charmap.length; i++) {
		if (charmap[i][2]==true) {
			cols++;
			html += ''
				+ '<td width="' + tdWidth + '" height="' + tdHeight + '" class="charmap"'
				+ ' onmouseover="this.className=\'charmapOver\';'
				+ 'previewChar(\'' + charmap[i][1].substring(1,charmap[i][1].length) + '\',\'' + charmap[i][0].substring(1,charmap[i][0].length) + '\',\'' + charmap[i][3] + '\');"'
				+ ' onmouseout="this.className=\'charmap\';"'
				+ ' nowrap="nowrap" onclick="insertChar(\'' + charmap[i][1].substring(2,charmap[i][1].length-1) + '\');"><a style="text-decoration: none;" onfocus="previewChar(\'' + charmap[i][1].substring(1,charmap[i][1].length) + '\',\'' + charmap[i][0].substring(1,charmap[i][0].length) + '\',\'' + charmap[i][3] + '\');" href="javascript:insertChar(\'' + charmap[i][1].substring(2,charmap[i][1].length-1) + '\');" onclick="return false;" onmousedown="return false;" title="' + charmap[i][3] + '">'
				+ charmap[i][1]
				+ '</a></td>';
			if ((cols+1) % charsPerRow == 0)
				html += '</tr><tr height="' + tdHeight + '">';
		}
	 }
	if (cols % charsPerRow > 0) {
		var padd = charsPerRow - (cols % charsPerRow);
		for (var i=0; i<padd-1; i++)
			html += '<td width="' + tdWidth + '" height="' + tdHeight + '" class="charmap">&nbsp;</td>';
	}
	html += '</tr></table>';
	document.write(html);
}

function insertChar(chr) {
	tinyMCEPopup.execCommand('mceInsertContent', false, '&#' + chr + ';');

	// Refocus in window
	if (tinyMCEPopup.isWindow)
		window.focus();

	tinyMCEPopup.close();
}

function previewChar(codeA, codeB, codeN) {
	var elmA = document.getElementById('codeA');
	var elmB = document.getElementById('codeB');
	var elmV = document.getElementById('codeV');
	var elmN = document.getElementById('codeN');

	if (codeA=='#160;') {
		elmV.innerHTML = '__';
	} else {
		elmV.innerHTML = '&' + codeA;
	}

	elmB.innerHTML = '&amp;' + codeA;
	elmA.innerHTML = '&amp;' + codeB;
	elmN.innerHTML = codeN;
}
