-- phpMyAdmin SQL Dump
-- version 2.10.1
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Generation Time: Feb 27, 2009 at 02:45 
-- Server version: 5.0.37
-- PHP Version: 5.2.8

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

-- 
-- Database: `democms`
-- 

-- --------------------------------------------------------

-- 
-- Table structure for table `acl_access`
-- 

CREATE TABLE `acl_access` (
  `role_id` int(10) NOT NULL,
  `resource_id` varchar(50) default NULL,
  `privilege` varchar(50) default NULL,
  `allow` tinyint(1) NOT NULL default '0',
  UNIQUE KEY `role_id` (`role_id`,`resource_id`,`privilege`),
  KEY `resource_id` (`resource_id`,`privilege`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table `acl_access`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `acl_inheritance`
-- 

CREATE TABLE `acl_inheritance` (
  `child_id` int(10) NOT NULL,
  `parent_id` int(10) NOT NULL,
  `order` int(11) NOT NULL default '0',
  PRIMARY KEY  (`child_id`,`parent_id`),
  KEY `parent_id` (`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table `acl_inheritance`
-- 

INSERT INTO `acl_inheritance` (`child_id`, `parent_id`, `order`) VALUES 
(2, 1, 0),
(3, 2, 0),
(4, 3, 0),
(5, 4, 0),
(6, 5, 0);

-- --------------------------------------------------------

-- 
-- Table structure for table `acl_resources`
-- 

CREATE TABLE `acl_resources` (
  `id` varchar(50) NOT NULL,
  `parent_id` varchar(50) default NULL,
  `privilege` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`,`privilege`),
  KEY `parent_id` (`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table `acl_resources`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `cmsarticles`
-- 

CREATE TABLE `cmsarticles` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `forumcatid` int(10) NOT NULL default '0',
  `title` varchar(150) character set latin1 NOT NULL default '',
  `content_a` text character set latin1 NOT NULL,
  `content_b` text character set latin1 NOT NULL,
  `content_type` enum('default','columns','intro') character set latin1 NOT NULL default 'default',
  `sid` int(10) unsigned NOT NULL default '0',
  `pid` int(10) unsigned NOT NULL default '0',
  `language` char(2) character set latin1 NOT NULL default 'nl',
  `priority` int(10) unsigned NOT NULL default '0',
  `status` enum('on','off') character set latin1 NOT NULL default 'on',
  `startshow` int(10) unsigned NOT NULL default '0',
  `stopshow` int(10) unsigned NOT NULL default '0',
  `update_time` int(11) NOT NULL default '0',
  `insert_time` int(11) NOT NULL default '0',
  `showtitle` enum('on','off') character set latin1 NOT NULL default 'on',
  `wat` varchar(255) character set latin1 NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `default_select` (`language`,`sid`,`status`),
  KEY `startshow` (`startshow`,`stopshow`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=3 ;

-- 
-- Dumping data for table `cmsarticles`
-- 

INSERT INTO `cmsarticles` (`id`, `forumcatid`, `title`, `content_a`, `content_b`, `content_type`, `sid`, `pid`, `language`, `priority`, `status`, `startshow`, `stopshow`, `update_time`, `insert_time`, `showtitle`, `wat`) VALUES 
(1, 0, 'Makelaar in koffi', '', '<p>\r\n<img src="/userimg/thumbs/banaanklein.png" alt="banaan" align="left" />\r\nIk ben makelaar in koffi, en woon op de Lauriergracht No 37. Het is mijn gewoonte niet, romans te schrijven, of zulke dingen, en het heeft dan ook lang geduurd, voor ik er toe overging een paar riem papier extra te bestellen, en het werk aan te vangen, dat gij, lieve lezer, zo&acirc;ven in de hand hebt genomen, en dat ge lezen moet als ge makelaar in koffie zijt, of als ge wat anders zijt. Niet alleen dat ik nooit iets schreef wat naar een roman geleek, maar ik houd er zelfs niet van, iets dergelijks te lezen, omdat ik een man van zaken ben. <br />\r\n<br />\r\nDat zijn ook makelaars in koffie, doch hun adres behoeft ge niet te weten. Ik pas er dus wel op, dat ik geen romans schrijf, of andere valse opgaven doe. Ik heb dan ook altijd opgemerkt dat mensen die zich met zoiets inlaten, gewoonlijk slecht wegkomen. Ik ben drie&euml;nveertig jaar oud, bezoek sedert twintig jaren de beurs, en kan dus voor de dag treden, als men iemand roept die ondervinding heeft. Ik heb al wat huizen zien vallen! En gewoonlijk, wanneer ik de oorzaken naging, kwam het me voor, dat die moesten gezocht worden in de verkeerde richting die aan de meesten gegeven was in hun jeugd.<br />\r\n<br />\r\nIk zeg: waarheid en gezond verstand, en hier blijf ik bij. Voor de Schrift maak ik natuurlijk een uitzondering. De fout begint al van Van Alphen af, en wel terstond bij de eerste regel over die `lieve wichtjes''. Wat drommel kon die oude heer bewegen, zich uit te geven voor een aanbidder van mijn zusje Truitje die zere ogen had, of van mijn broer Gerrit die altijd met zijn neus spe.\r\n</p>', 'default', 1, 0, 'nl', 1, 'on', 0, 0, 1235697229, 1203609753, 'on', ''),
(2, 0, 'Links', '', '<ul>\r\n	<li><a href="http://www.linkotheek.nl/" title="De Linkotheek is een zoek/linkportaal met een eigen database met ongeveer 50000 links met een duidelijk Nederlandstalige omschrijving.">De Linkotheek</a></li>\r\n	<li><a href="http://www.webvrouw.nl/" title="Webvrouw is een interactieve ontmoetingsplaats voor de moderne vrouw.">Webvrouw</a></li>\r\n	<li>\r\n	<a href="http://www.haykranen.nl/dummytekst/">Nederlandse dummy-tekst (Lorem Ipsum) generator</a></li>\r\n</ul>', 'default', 5, 0, 'nl', 15, 'on', 0, 0, 1235696669, 1206650492, 'off', '');

-- --------------------------------------------------------

-- 
-- Table structure for table `cmsdownloads`
-- 

CREATE TABLE `cmsdownloads` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `filename` varchar(80) collate utf8_bin NOT NULL default '',
  `categoryid` int(10) unsigned NOT NULL default '0',
  `filesize` varchar(10) collate utf8_bin NOT NULL default '',
  `type` varchar(5) collate utf8_bin NOT NULL default '',
  `update_time` int(10) unsigned NOT NULL default '0',
  `insert_time` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `categoryid` (`categoryid`),
  KEY `update_time` (`update_time`),
  KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `cmsdownloads`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `cmsdownloadscategories`
-- 

CREATE TABLE `cmsdownloadscategories` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `pid` int(10) unsigned NOT NULL default '0',
  `priority` int(10) unsigned NOT NULL default '50',
  `status` enum('off','on') collate utf8_bin NOT NULL default 'on',
  PRIMARY KEY  (`id`),
  KEY `default_select` (`status`,`pid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `cmsdownloadscategories`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `cmsdownloadscategoriestitles`
-- 

CREATE TABLE `cmsdownloadscategoriestitles` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `categoryid` int(10) unsigned NOT NULL default '0',
  `language` varchar(2) collate utf8_bin NOT NULL default 'nl',
  `title` varchar(100) collate utf8_bin NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `default_select` (`categoryid`,`language`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `cmsdownloadscategoriestitles`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `cmsdownloadstitles`
-- 

CREATE TABLE `cmsdownloadstitles` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `imageid` int(10) unsigned NOT NULL default '0',
  `language` varchar(2) collate utf8_bin NOT NULL default 'nl',
  `title` varchar(100) collate utf8_bin NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `default_select` (`imageid`,`language`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `cmsdownloadstitles`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `cmsguestbook`
-- 

CREATE TABLE `cmsguestbook` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `title` varchar(50) character set latin1 collate latin1_bin NOT NULL default '',
  `content` text NOT NULL,
  `sender` varchar(50) character set latin1 collate latin1_bin NOT NULL default '',
  `insert_time` int(10) unsigned NOT NULL default '0',
  `update_time` int(10) unsigned NOT NULL default '0',
  `status` enum('off','on') NOT NULL default 'on',
  `securityinfo` tinytext NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `status` (`status`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `cmsguestbook`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `cmsimages`
-- 

CREATE TABLE `cmsimages` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `filename` varchar(80) character set latin1 collate latin1_bin NOT NULL default '',
  `categoryid` int(10) unsigned NOT NULL default '0',
  `update_time` int(10) unsigned NOT NULL default '0',
  `insert_time` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `categoryid` (`categoryid`),
  KEY `update_time` (`update_time`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `cmsimages`
-- 

INSERT INTO `cmsimages` (`id`, `filename`, `categoryid`, `update_time`, `insert_time`) VALUES 
(1, 0x62616e61616e6b6c65696e2e706e67, 1, 0, 0);

-- --------------------------------------------------------

-- 
-- Table structure for table `cmsimagescategories`
-- 

CREATE TABLE `cmsimagescategories` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `pid` int(10) unsigned NOT NULL default '0',
  `priority` int(10) unsigned NOT NULL default '50',
  `status` enum('off','on') NOT NULL default 'on',
  PRIMARY KEY  (`id`),
  KEY `freqselect` (`status`,`pid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `cmsimagescategories`
-- 

INSERT INTO `cmsimagescategories` (`id`, `pid`, `priority`, `status`) VALUES 
(1, 0, 1, 'on');

-- --------------------------------------------------------

-- 
-- Table structure for table `cmsimagescategoriestitles`
-- 

CREATE TABLE `cmsimagescategoriestitles` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `categoryid` int(10) unsigned NOT NULL default '0',
  `language` char(2) character set latin1 collate latin1_bin NOT NULL default 'nl',
  `title` varchar(100) character set latin1 collate latin1_bin NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `default_select` (`categoryid`,`language`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `cmsimagescategoriestitles`
-- 

INSERT INTO `cmsimagescategoriestitles` (`id`, `categoryid`, `language`, `title`) VALUES 
(1, 1, 0x6e6c, 0x57656273697465);

-- --------------------------------------------------------

-- 
-- Table structure for table `cmsimagestitles`
-- 

CREATE TABLE `cmsimagestitles` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `imageid` int(10) unsigned NOT NULL default '0',
  `language` char(2) character set latin1 collate latin1_bin NOT NULL default 'nl',
  `title` varchar(100) character set latin1 collate latin1_bin NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `default_select` (`imageid`,`language`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `cmsimagestitles`
-- 

INSERT INTO `cmsimagestitles` (`id`, `imageid`, `language`, `title`) VALUES 
(1, 1, 0x6e6c, 0x62616e61616e);

-- --------------------------------------------------------

-- 
-- Table structure for table `cmsnews`
-- 

CREATE TABLE `cmsnews` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `forumcatid` int(10) NOT NULL default '0',
  `userid` int(10) unsigned NOT NULL,
  `title` varchar(150) NOT NULL default '',
  `title_url` varchar(255) NOT NULL,
  `content_a` text NOT NULL,
  `content_b` text NOT NULL,
  `content_type` enum('default','columns','intro') NOT NULL default 'default',
  `sid` int(10) unsigned NOT NULL default '0',
  `pid` int(10) unsigned NOT NULL default '0',
  `language` char(2) NOT NULL default 'nl',
  `priority` int(10) unsigned NOT NULL default '0',
  `status` enum('on','off') NOT NULL default 'on',
  `startshow` int(10) unsigned NOT NULL default '0',
  `stopshow` int(10) unsigned NOT NULL default '0',
  `update_time` int(11) NOT NULL default '0',
  `insert_time` int(11) NOT NULL default '0',
  `showtitle` enum('on','off') NOT NULL default 'on',
  PRIMARY KEY  (`id`),
  KEY `default_select` (`language`,`sid`,`status`),
  KEY `startshow` (`startshow`,`stopshow`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

-- 
-- Dumping data for table `cmsnews`
-- 

INSERT INTO `cmsnews` (`id`, `forumcatid`, `userid`, `title`, `title_url`, `content_a`, `content_b`, `content_type`, `sid`, `pid`, `language`, `priority`, `status`, `startshow`, `stopshow`, `update_time`, `insert_time`, `showtitle`) VALUES 
(6, 0, 1, 'Onbegrijpelijk veel mensen hebben familiebetrekkingen', 'onbegrijpelijk_veel_mensen_hebben_familiebetrekkingen1', '<p>\r\nOnbegrijpelijk veel mensen hebben familiebetrekkingen, vrienden of kennissen te Amsterdam. Het is een verschijnsel dat ik eenvoudig toeschrijf aan de veelheid der inwoners van die hoofdstad. Ik had er voor een paar jaren nog een verre neef. Waar hij nu is, weet ik niet. Ik geloof dat hij naar de West gegaan is. Misschien heeft de een of ander van mijn lezers hem wel brieven meegegeven. In dat geval hebben zij een nauwgezette, maar onvriendelijke bezorger gehad, als uit de inhoud van deze weinige bladzijden waarschijnlijk duidelijk worden zal.<br />\r\n</p>', 'Onbegrijpelijk veel mensen hebben familiebetrekkingen, vrienden of kennissen te Amsterdam. Het is een verschijnsel dat ik eenvoudig toeschrijf aan de veelheid der inwoners van die hoofdstad. Ik had er voor een paar jaren nog een verre neef. Waar hij nu is, weet ik niet. Ik geloof dat hij naar de West gegaan is. Misschien heeft de een of ander van mijn lezers hem wel brieven meegegeven. In dat geval hebben zij een nauwgezette, maar onvriendelijke bezorger gehad, als uit de inhoud van deze weinige bladzijden waarschijnlijk duidelijk worden zal.<br />\r\n<br />\r\nInderdaad, ik ken vele mensen, die nogal ophebben met hun Amsterdamse neven, vooral als ze tot ''Lezers in Felix behoren, of als ze een rijtuig houden; maar ik heb dikwijls verbaasd gestaan over mijn verregaande koelheid omtrent de persoon van mijn neef Nurks; en niets verschrikkelijker, dan wanneer hij mij zaterdagmiddag per diligence een steen stond met een brief er aan, inhoudende dat hij (mits het weer goedbleef en er niet, maar dat kwam er nooit, het een of ander in de weg kwam) met mij de dag in de Haarlemmerhout zou komen doorbrengen; niet dat ik iets tegen het gemelde bos heb, maar wel tegen ZEd.<br />\r\n<br />\r\nEn evenwel was hij een beste, eerlijke, trouwe jongen, prompt in zijn zaken, stipt in zijn zeden, godsdienstig, zelfs in de grond goedhartig. Maar er was iets in hem - ik weet het niet - dat maakte dat ik met hem niet op mijn gemak was; iets lastigs, iets impertinents, in &eacute;&eacute;n woord iets volmaakts onaangenaams. Ik zou, om iets te noemen, een nieuwe hoed gekocht hebben; geen buitensporig fatsoen (geen nationale bijvoorbeeld) geen te hoge of te platte bol; geen te brede of te smalle rand; een hoed, goed om af te nemen voor een verstandig man en op het hoofd te houden voor een gek, doch stellig een hoed om niets van te zeggen.<br />\r\n<br />\r\nToch kon ik bijan overtuigd zijn, dat mijn beminnelijke neef Nurks, de eerste maal dat hij er mij mee zag, met de hatelijkste glimlach van de wereld en met een soort van ontevreden verbaasdheid zeggen zou: ''Wat een weergase gekke hoed heb jij op.'' - Nu is het onbegrijpelijk moeielijk - schoon ik gaarne beken dat de een zich daar handiger in gedraagt dan de ander, en ik niet een van de gauwsten ben - nu is het onbegrijpelijk moeielijk, onder een dergelijke kritische verklaring omtrent uw hoed, een tamelijk figuur te blijven maken. Het in ernst voor uw hoed op te nemen, is wat al te gek. Het met een: h&eacute;, vind je dat?'' af te laten lopen, verraadt volslagen gemis van tegenwoordigheid van geest.', 'default', 0, 0, 'nl', 1, 'on', 1206572400, 0, 1235696501, 1206648145, 'on');

-- --------------------------------------------------------

-- 
-- Table structure for table `cmsstructure`
-- 

CREATE TABLE `cmsstructure` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `external_url` varchar(255) NOT NULL default '',
  `pid` int(10) unsigned NOT NULL default '0',
  `menu` enum('show','hide') NOT NULL default 'show',
  `sitemap` enum('show','hide') NOT NULL default 'show',
  `status` enum('off','on') NOT NULL default 'on',
  `requiredrights` enum('none','user','member','reviewer','editor','admin') NOT NULL default 'none',
  `description` tinytext NOT NULL,
  `keywords` tinytext NOT NULL,
  `body_template` varchar(255) default NULL,
  `header_template` varchar(255) default NULL,
  `footer_template` varchar(255) default NULL,
  `css` varchar(255) default NULL,
  `priority` int(10) unsigned NOT NULL default '0',
  `update_time` int(11) NOT NULL default '0',
  `insert_time` int(11) NOT NULL default '0',
  `witregels` tinyint(4) NOT NULL default '0',
  `changefreq` varchar(7) NOT NULL default 'weekly',
  `wat` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `load_by_url` (`status`),
  KEY `get_menu` (`status`,`menu`,`pid`),
  KEY `priority` (`priority`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;

-- 
-- Dumping data for table `cmsstructure`
-- 

INSERT INTO `cmsstructure` (`id`, `external_url`, `pid`, `menu`, `sitemap`, `status`, `requiredrights`, `description`, `keywords`, `body_template`, `header_template`, `footer_template`, `css`, `priority`, `update_time`, `insert_time`, `witregels`, `changefreq`, `wat`) VALUES 
(1, '', 0, 'show', 'show', 'on', 'none', '', '', '', '', '', '', 1, 1235697229, 1203609521, 0, 'weekly', ''),
(2, '', 0, 'show', 'show', 'on', 'none', '', '', '', '', '', '', 4, 1204372269, 1203609545, 0, 'weekly', ''),
(3, '', 0, 'show', 'show', 'on', 'none', '', '', '', '', '', '', 3, 1204372269, 1204361076, 0, 'weekly', ''),
(4, '', 0, 'show', 'show', 'on', 'none', '', '', '', '', '', '', 2, 1206647776, 1204372261, 0, 'weekly', ''),
(6, '', 0, 'hide', 'hide', 'on', 'none', '', '', '', '', '', '', 6, 1207312128, 1207312128, 0, 'weekly', ''),
(5, '', 0, 'show', 'show', 'on', 'none', '', '', '', '', '', '', 5, 1235696669, 1206650436, 0, 'weekly', ''),
(7, '', 0, 'hide', 'hide', 'on', 'none', '', '', '', '', '', '', 7, 1207312128, 1207312128, 0, 'weekly', '');

-- --------------------------------------------------------

-- 
-- Table structure for table `cmsstructuretitles`
-- 

CREATE TABLE `cmsstructuretitles` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `title` varchar(100) NOT NULL default '',
  `turl` varchar(255) NOT NULL,
  `long_turl` varchar(255) NOT NULL,
  `language` char(2) NOT NULL default '',
  `sid` int(11) NOT NULL default '0',
  `wat` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `default_select` (`language`,`sid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;

-- 
-- Dumping data for table `cmsstructuretitles`
-- 

INSERT INTO `cmsstructuretitles` (`id`, `title`, `turl`, `long_turl`, `language`, `sid`, `wat`) VALUES 
(1, 'Home', 'home', '/home/', 'nl', 1, ''),
(2, 'Contact', 'contact', '/contact/', 'nl', 2, ''),
(3, 'Gastenboek', 'gastenboek', '/gastenboek/', 'nl', 3, ''),
(4, 'Nieuws', 'nieuws', '/nieuws/', 'nl', 4, ''),
(6, 'Sitemap', 'sitemap', '/sitemap/', 'nl', 6, ''),
(5, 'Links', 'links', '/links/', 'nl', 5, ''),
(7, 'Zoeken', 'zoeken', '/zoeken/', 'nl', 7, '');

-- --------------------------------------------------------

-- 
-- Table structure for table `cmsusers`
-- 

CREATE TABLE `cmsusers` (
  `id` int(10) NOT NULL auto_increment,
  `username` varchar(25) NOT NULL default '',
  `password` varchar(32) NOT NULL default '',
  `publicalias` varchar(50) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `msn` varchar(255) NOT NULL default '',
  `givenname` varchar(128) NOT NULL default '',
  `infix` varchar(255) NOT NULL,
  `familyname` varchar(128) NOT NULL default '',
  `gender` enum('male','female') NOT NULL default 'male',
  `country` enum('belgie','nederland','anders') NOT NULL default 'belgie',
  `city` varchar(255) NOT NULL default '',
  `homepage` varchar(255) NOT NULL default '',
  `profieltekst` text NOT NULL,
  `birthday` int(10) NOT NULL default '0',
  `organisation` varchar(128) NOT NULL default '',
  `mailing` enum('yes','no') NOT NULL default 'no',
  `language` char(2) NOT NULL default 'nl',
  `photo` varchar(255) NOT NULL default '',
  `type` enum('user','member','reviewer','editor','admin','superadmin','aclrole') NOT NULL default 'user',
  `status` enum('off','on') NOT NULL default 'on',
  `update_time` int(11) NOT NULL default '0',
  `insert_time` int(11) NOT NULL default '0',
  `confirmcode` int(5) unsigned NOT NULL default '12345',
  `securityinfo` tinytext NOT NULL,
  `ircpassword` varchar(8) NOT NULL default '',
  `lastip` int(10) NOT NULL default '0',
  `visits` int(11) NOT NULL default '0',
  `visitsperiod` int(11) NOT NULL default '0',
  `visitors` int(11) NOT NULL default '0',
  `visitorsperiod` int(11) NOT NULL default '0',
  `stem` int(10) unsigned NOT NULL default '0',
  `cijfer` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

-- 
-- Dumping data for table `cmsusers`
-- 

INSERT INTO `cmsusers` (`id`, `username`, `password`, `publicalias`, `email`, `msn`, `givenname`, `infix`, `familyname`, `gender`, `country`, `city`, `homepage`, `profieltekst`, `birthday`, `organisation`, `mailing`, `language`, `photo`, `type`, `status`, `update_time`, `insert_time`, `confirmcode`, `securityinfo`, `ircpassword`, `lastip`, `visits`, `visitsperiod`, `visitors`, `visitorsperiod`, `stem`, `cijfer`) VALUES 
(1, 'Users', '', '', '', '', '', '', '', 'male', 'belgie', '', '', '', 0, '', 'no', 'nl', '', '', 'on', 0, 0, 12345, '', '', 0, 0, 0, 0, 0, 0, 0),
(2, 'Members', '', '', '', '', '', '', '', 'male', 'belgie', '', '', '', 0, '', 'no', 'nl', '', '', 'on', 0, 0, 12345, '', '', 0, 0, 0, 0, 0, 0, 0),
(3, 'Reviewers', '', '', '', '', '', '', '', 'male', 'belgie', '', '', '', 0, '', 'no', 'nl', '', '', 'on', 0, 0, 12345, '', '', 0, 0, 0, 0, 0, 0, 0),
(4, 'Editors', '', '', '', '', '', '', '', 'male', 'belgie', '', '', '', 0, '', 'no', 'nl', '', '', 'on', 0, 0, 12345, '', '', 0, 0, 0, 0, 0, 0, 0),
(5, 'Admins', '', '', '', '', '', '', '', 'male', 'belgie', '', '', '', 0, '', 'no', 'nl', '', '', 'on', 0, 0, 12345, '', '', 0, 0, 0, 0, 0, 0, 0),
(6, 'Superadmin', '', '', '', '', '', '', '', 'male', 'belgie', '', '', '', 0, '', 'no', 'nl', '', '', 'on', 0, 0, 12345, '', '', 0, 0, 0, 0, 0, 0, 0),
(8, 'admin', '21232f297a57a5a743894a0e4a801fc3', '', '', '', '', '', '', 'male', 'belgie', '', '', '', 0, '', 'no', 'nl', '', 'superadmin', 'on', 0, 0, 0, '', '', 0, 0, 0, 0, 0, 0, 0);

-- --------------------------------------------------------

-- 
-- Table structure for table `cmsusersstats`
-- 

CREATE TABLE `cmsusersstats` (
  `uid` int(10) unsigned NOT NULL default '0',
  `forumcount` int(11) NOT NULL default '0',
  PRIMARY KEY  (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Dumping data for table `cmsusersstats`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `oscmscontactform`
-- 

CREATE TABLE `oscmscontactform` (
  `id` int(10) NOT NULL auto_increment,
  `subject` varchar(255) NOT NULL default '',
  `message` text NOT NULL,
  `firstname` varchar(255) NOT NULL default '',
  `lastname` varchar(255) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `phone` varchar(20) NOT NULL default '',
  `organisation` varchar(255) NOT NULL default '',
  `securityinfo` tinytext NOT NULL,
  `insert_time` int(14) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `oscmscontactform`
-- 

