<?php
define( 'CMSUSERS_WELCOME',                'Welkom' );
define( 'CMSUSERS_ADMIN_RIGHTS',           'Klik hieronder voor toegang tot het beheersysteem.' );
define( 'CMSUSERS_ADMIN_ENTER',            'Beheersysteem' );
define( 'CMSUSERS_LOGIN',                  'Inloggen' );
define( 'CMSUSERS_LOGOUT',                 'Uitloggen' );
define( 'CMSUSERS_LOGGEDOUT',              'Uitgelogd' );
define( 'CMSUSERS_LOGGEDOUT_MESSAGE',      'U heeft het systeem met succes verlaten.<br />Hartelijk dank en totziens.' );
define( 'CMSUSERS_WRONGPASSWORD',          'Het inloggen is mislukt, misschien heeft u uw gebruikersnaam of het wachtwoord verkeerd ingevoerd.' );
define( 'CMSUSERS_WRONGUSERNAME',          'Het inloggen is mislukt, misschien heeft u uw gebruikersnaam of het wachtwoord verkeerd ingevoerd.' );

define( 'CMSUSERS_REGISTER',               'Inschrijven' );
define( 'CMSUSERS_REG_EXPLAIN',            'Nadat u onderstaand formulier hebt ingevuld, ontvangt u een e-mail ter bevestiging van uw inschrijving. In deze e-mail vindt u een link om uw account te bevestigen.' );
define( 'CMSUSERS_REG_EXPLAIN_ASKADMIN',   'De beheerder van deze website zal daarna uw inschrijving beoordelen. De beheerder bepaald of uw inschrijving wordt geactiveerd.' );
define( 'CMSUSERS_REG_EXPLAIN_NOTIFYADMIN','De beheerder van deze website wordt ook van uw inschrijving op de hoogte gesteld.' );
define( 'CMSUSERS_REG_EXPLAIN_FREE',       '' );
define( 'CMSUSERS_REG_ERROR',              'Fout' );
define( 'CMSUSERS_REG_ERROR_TOP',          'Er zijn &eacute;&eacute;n of meerdere fouten opgetreden:' );
define( 'CMSUSERS_REG_ERROR_BOTTOM',       '<p>Als u een <a href="javascript:history.back();">stap terug</a> gaat in het registratieproces, kunt u het opnieuw proberen.</p><p><a href="javascript:history.back();">Terug naar de vorige pagina</a>.</p>' );
define( 'CMSUSERS_REG_ERROR_GIVENNAME',    'U heeft uw voornaam niet ingevuld.' );
define( 'CMSUSERS_REG_ERROR_FAMILYNAME',    'U heeft uw achternaam niet ingevuld.' );
define( 'CMSUSERS_REG_ERROR_EMAIL',        'Er is geen geldig e-mailadres ingevuld.' );
define( 'CMSUSERS_REG_ERROR_MSN',        'Er is geen geldig msn-e-mailadres ingevuld.' );


define( 'CMSUSERS_REG_ERROR_USERNAME',     'U dient een gebruikersnaam op te geven (van minimaal 5 tekens).' );
define( 'CMSUSERS_REG_ERROR_DOUBLEU',      'U kunt deze gebruikersnaam niet gebruiken omdat deze al ingebruik is, probeer een andere gebruikersnaam.' );
define( 'CMSUSERS_REG_ERROR_DOUBLEE',      'Er is al een gebruikersprofiel aangemaakt op dit e-mailadres' );

define( 'CMSUSERS_REG_ERROR_PASSWORD',     'U dient een wachtwoord op te geven (van minimaal 5 tekens).' );
define( 'CMSUSERS_REG_ERROR_PWEQUAL',      'Het ingevulde wachtwoord is niet gelijk aan de bevestiging.' );
define( 'CMSUSERS_REG_ERROR_UPEQUAL',      'Uw gebruikersnaam en wachtwoord mogen niet identiek zijn.' );

define( 'CMSUSERS_REG_MAIL_ASKADMIN',      'Nadat de inschrijving is bevestigd zal de beheerder uw inschrijving beoordelen. Hierover ontvangt u bericht via uw e-mailadres.' );
define( 'CMSUSERS_REG_MAIL_NOTIFYADMIN',   'De beheerder van deze website heeft een afschrift van deze e-mail ontvangen. Nadat u de instructies in deze e-mail hebt opgevolgd, kunt u direct inloggen op de website.' );
define( 'CMSUSERS_REG_MAIL_FREE',          'Nadat u de instructies in deze e-mail hebt opgevolgd, kunt u direct inloggen op de website.' );
define( 'CMSUSERS_REG_SUBJECT',			'Uw registratie voor de website %s' );

define( 'CMSUSERS_REG_END',                'Einde registratie' );
define( 'CMSUSERS_REG_MAIL_SEND',          'Uw gegevens zijn opgeslagen en er is een e-mail naar u verstuurd. In de e-mail staan de instructies hoe uw account wordt geactiveerd.' );
define( 'CMSUSERS_REG_MAIL_NOTSEND',       'Helaas kon er geen e-mail naar uw e-mailadres worden verstuurd. Of er is een technisch probleem of u heeft u e-mailadres verkeerd ingevuld. In het laatste geval kunt u het registratieproces herhalen, als het probleem blijft bestaan, kunt u een e-mail sturen naar de beheerder: [[cms_admin_email]]' );
define( 'CMSUSERS_REG_NOTSAVED',           'Helaas zijn uw gegevens niet opgeslagen in ons systeem. Probeer het later nogmaals of stuur een e-mail met de omschrijving van het probleem naar: [[cms_admin_email]]' );

define( 'CMSUSERS_CONFIRMED',              'Registratie bevestigd' );
define( 'CMSUSERS_CONFIRMED_EXPLAIN',      'Uw registratie is met succes bevestigd. U kunt de e-mail die u van ons hebt gehad nu gerust verwijderen.' );
define( 'CMSUSERS_CONFIRMED_OFF',          'De beheerder dient uw account wel eerst nog te activeren, hierover ontvangt u nog een e-mail.' );
define( 'CMSUSERS_CONFIRMED_ON',           'U kunt uw account direct gebruiken door in te loggen: <a href="[[cms_base_url]][[cms_current_language]]/[[cms_users_login_url]]">Login</a>.' );
define( 'CMSUSERS_CONFIRMED_FAIL',	   'Bevestiging mislukt' );
define( 'CMSUSERS_CONFIRMED_FAILEXPLAIN',  'De bevestiging van uw account is mislukt. Misschien heeft u uw account al bevestigd. Probeer eens in te loggen op de website en lees de instructies in de ontvangen e-mail. Als dat niet lukt, kunt u proberen opnieuw te registreren.' );

define( 'CMSUSERS_LOSTPASSWORD',           'Wachtwoord vergeten?' );
define( 'CMSUSERS_LOSTPASSWORD_EMAIL',     'Vul dan hieronder uw geregistreerde e-mailadres in.' );
define( 'CMSUSERS_REQUEST_PASSWORD',       'Nieuw wachtwoord aanvragen' );
define( 'CMSUSERS_LOSTPASSWORD_SEND',      'Er is een e-mail naar u verzonden met een nieuw wachtwoord, wat per direct is te gebruiken.' );
define( 'CMSUSERS_LOSTPASSWORD_NOTSEND',   'Er kon geen e-mail naar u worden verzonden met een nieuw wachtwoord. Het kan zijn dat uw e-mailadres niet in ons bestand voorkomt of dat er een probleem was bij het verzenden van de e-mail.' );
define( 'CMSUSERS_LOSTPASSWORD_SUBJECT',	'Er is een nieuw wachtwoord aangevraagd voor uw account op de website %s' );

define( 'CMSUSERS_EDIT_TITLE',             'Bewerk uw gegevens' );
define( 'CMSUSERS_EDIT_EXPLAIN',           'Hieronder staan uw gegevens. U kunt deze aanpassen en opslaan. Het e-mailadres en uw gebruikersnaam kunt u niet aanpassen, alleen de beheerder van deze website kan dit.' );
define( 'CMSUSERS_EDIT_PASSWORDSHORT',     'Uw wachtwoord is niet aangepast, het dient minimaal 5 tekens lang te zijn.' );
define( 'CMSUSERS_EDIT_SAVE',              'Opslaan' );

define( 'CMSUSERS_USERNAME',               'Gebruikersnaam' );
define( 'CMSUSERS_USERNAME_RESTRICT',      'minimaal 5 tekens lang en alleen letters, cijfers en streepjes' );
define( 'CMSUSERS_PASSWORD',               'Wachtwoord' );
define( 'CMSUSERS_PASSWORD_RESTRICT',      'minimaal 5 tekens lang en alleen letters, cijfers en de tekens: !@#$%^&*-_=+' );
define( 'CMSUSERS_PASSWORD_AGAIN',         'Wachtwoord nogmaals ter bevestiging' );
define( 'CMSUSERS_GIVENNAME',              'Voornaam' );
define( 'CMSUSERS_FAMILYNAME',             'Achternaam' );
define( 'CMSUSERS_EMAIL',                  'E-mail' );
define( 'CMSUSERS_ORGANISATION',           'Organisatie' );
define( 'CMSUSERS_LANGUAGE',               'Taal' );
define( 'CMSUSERS_GENDER',                 'Geslacht' );
define( 'CMSUSERS_MALE',                   'Man' );
define( 'CMSUSERS_FEMALE',                 'Vrouw' );
define( 'CMSUSERS_MAILING',                'Nieuwsbrief via uw e-mail' );
define( 'CMSUSERS_PUBLICALIAS',		   'Publieke naam' );
define( 'CMSUSERS_PUBLICALIAS_EXPLAIN',	   'Deze naam wordt gebruikt in openbare delen van de website zoals een forum.' );
?>