<?
myautoload('oscmscategories');

define( 'MODULE_OSCMSCATEGORIESADMIN', TRUE );

require_once( CMS_CURRENT_LANGUAGE.'.php' );

class oscmscategories_admin 
{

	
	var $object;
	
	function __construct (&$object)
	{
		$this->object=$object;
	}
	
	function check() {
		if( $this->object->id && $this->object->pid == $this->object->id ) {
			$this->object->pid = 0;
		}
		return TRUE;
	}

	function showAdminSelectNav( $nav_catid )
	{
		//ombouwen naar cmstemplates::selectList
		$this->_level = 0;
		$result = '<form action="admin.php?module='.$this->object->_parent.'_admin&action=adminList" method="post">';
		$result .= ADM_SHOWCAT.': <select name="nav_catid" onChange="this.form.submit();">';
		$result .= '<option value="">--select--</option>';
		$result .= $this->showAdminSelectLevel( $nav_catid, 0 );
		$result .= '</select></form>';
		return $result;
	}
	
	function showAdminSelect( $name, $selected, $zero = '' )
	{
		
		$sql= 'SELECT categories.id, titles.title  FROM '.$this->object->_tablename.' as categories LEFT JOIN `'.$this->object->_tablename.'titles` as titles ON categories.id = titles.categoryid WHERE categories.status=\'on\' AND titles.language=\''.CMS_LANGUAGES_DEFAULT.'\' ORDER BY priority';
		//echo $sql;
		$rs = $this->object->_db->Execute( $sql );
		if( $rs ) {
			$records = $rs->GetAssoc();
			$result=array();
			//add beter loop detection!
			if( $zero ) {
				$result[] = '['.$zero.']';
			}
			if(is_array($records))foreach( $records as $key => $value ) {
				if( $key <> $this->object->id ) {
					$result[$key]=$value;
				}
			}
			return cmstemplatesadmin::selectList( $name, $result, $selected );
		}
	}

	function showSelectForm( $id, $pid, $name, $zero = '' )
	{
		$this->_level = 0;
		if( $zero ) {
			$options = '<option value="0">['.$zero.']</option>';
		} else {
			$options = '';
		}
		$options .= $this->object->showAdminSelectLevel( $id, $pid );
		
		$vars = array( 'name' => $name,
				'options' => $options );
		return cmstemplates::show( 'cmsimages_selcat', $this->object->_parent, $vars );
	}

	function showAdminSelectLevel( $id, $pid )
	{
		//var_dump($this->object);
		
		$sql = 'SELECT categories.id, titles.title  FROM '.$this->object->_tablename.' as categories LEFT JOIN `'.$this->object->_tablename.'titles` as titles ON categories.id = titles.categoryid WHERE categories.pid=\''.$pid.'\' AND categories.status=\'on\' AND titles.language=\''.CMS_LANGUAGES_DEFAULT.'\' AND categories.id<>\''.$this->object->id.'\' ORDER BY categories.priority';

		$rs = $this->object->_db->Execute( $sql );
		$r = '';
		while( $result = $rs->FetchRow() ) {
			if( $result['id'] == $id ) {
				$selected = ' selected="1"';
			} else {
				$selected = '';
			}
			$r .= '<option value="'.$result['id'].'"'.$selected.'>'.str_repeat('-', $this->_level).$result['title'].'</option>'."\n";
			$this->_level++;
			$r .= $this->showAdminSelectLevel( $id, $result['id'] );
			$this->_level--;
		}
		return $r;
	}

	function adminList( $page = 0 )
	{
		$sql = "SELECT categories.id, categories.status, titles.title, categories.id as extra FROM ".$this->object->_tablename." AS categories LEFT JOIN `".$this->object->_tablename."titles` AS titles ON categories.id = titles.categoryid WHERE {{pid}} AND titles.language='".CMS_LANGUAGES_DEFAULT."' ORDER BY categories.priority, categories.id";
		return cmstemplatesadmin::adminHierarchyList( $this->object->_db, $this->object->_parent.'_'.$this->object->_tablename, $sql, $page );
	}

	function adminEdit( $id )
	{
		$this->object->load( $id );
		$vars = get_object_vars( $this->object );
		$vars['module'] = $this->object->_parent.'_'.$this->object->_class;
		$vars['titles'] = '';
		$vars['pid'] = $this->showAdminSelect( 'pid', $this->object->pid, ADM_NONE );
                $title_templ = cmstemplates::loadfile( 'edit_title', $this->object->_tablename );
	        $langs = & new cmslanguages( $this->object->_db );
        	$languages = $langs->getArray();
        $sql= 'SELECT language, title FROM `'.$this->object->_tablename.'titles` WHERE categoryid=\''.$this->object->id.'\'';	
		
        $rs = $this->object->_db->Execute( $sql );
		$titles = $rs->GetAssoc();
                foreach( $languages as $langkey => $langvalue ) {
                        $title_vars = array(    'name' => 'title',
                                                'language' => $langvalue,
                                                'language_key' => $langkey );
			if( isset( $titles[$langkey] ) ) {
                        	$title_vars['value'] = $titles[$langkey];
			} else {
				$title_vars['value'] = '';
			}
                        $vars['titles'] .= cmstemplates::parse( $title_templ, $title_vars );
                }
		return cmstemplates::show( 'cmsimagescategories_edit', 'cmsimages/cmsimagescategories', $vars );	
	}
	
	function adminSave( $id )
	{
		if( $id ) $this->object->load( intval( $id ) );
		$this->object->bind( $_POST );
		$this->object->save();
	        $langs = new cmslanguages( $this->object->_db );
        	$languages = $langs->getArray();
		$rs = $this->object->_db->Execute( "SELECT language, id FROM `".$this->object->_tablename."titles` WHERE categoryid='".$this->object->id."'" );
		$translations = $rs->GetAssoc();
		foreach( $languages as $lang => $langvalue ) {
			//$title = $this->object->_db->Quote( $_POST[ 'title_'.$lang ] );
			$title = str_replace('\'','\\\'', $_POST[ 'title_'.$lang ] );
			if( isset( $translations[ $lang ] ) ) {
				$this->object->_db->Execute( "UPDATE `".$this->object->_tablename."titles` SET title='".$title."' WHERE categoryid='".$this->object->id."' AND language='".$lang."'" );
			} else {
				$this->object->_db->Execute( "INSERT INTO `".$this->object->_tablename."titles` ( categoryid, language, title ) values ( '".$this->object->id."', '".$lang."', '".$title."' )" );
			}
		}
		return $this->adminList( 0 );
	}

	function adminConfirmDelete( $id )
	{
		$this->object->load( $id );
		$vars = get_object_vars( $this->object );
		$vars['module'] = $this->object->_parent.'_'.$this->object->_parent.'categories_admin';
		$sql='SELECT title FROM `'.$this->object->_tablename.'titles` WHERE categoryid=\''.$id.'\' AND language=\''.CMS_LANGUAGES_DEFAULT.'\'';
		$rs = $this->object->_db->Execute( $sql );
		$record = $rs->FetchRow();
		$vars['title'] = $record['title'];
		return cmstemplates::show( 'delete', $this->object->_parent, $vars );
	}

	function adminDelete( $id )
	{
		if( $this->object->load( $id ) ) {
			$this->object->delete();
			$this->object->_db->Execute( "DELETE FROM `".$this->object->_tablename."titles` WHERE categoryid='".$id."'" );
		}
		return $this->adminList();
	}

	function on( $id )
	{
		if( $this->object->load( $id ) ) {
			$this->object->on();
		}
		return $this->adminList();
	}

	function off( $id )
	{
		if( $this->object->load( $id ) ) {
			$this->object->off();
		}
		return $this->adminList();
	}
}
